Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Debug Class Reference

A process for collection and distribution of debug messages. More...

`#include <Debug.h>`

Inheritance diagram for Debug:

[legend]
Collaboration diagram for Debug:

[legend]
List of all members.

## Public Member Functions
| Debug ()
| Constructor.
| ~Debug ()
| Destructor.
int | main ()
| The main function of the process.
virtual void | init ()
| Is called before the first main().
virtual bool | handleMessage (InMessage &message)
| Is called for every incoming debug message.
## Public Attributes
QueueFillRequest::QueueFillMode | mode
| The QueueFillMode for the outgoing Queue.
unsigned long | saveOrSendTime
| The time when the outgoing queue is written to the stick or allowed to be accessed via wlan.
## Private Member Functions
| RECEIVER (SensorDataBuffer)
| DEBUG_RECEIVER (Cognition)
| DEBUG_RECEIVER (Motion)
| DEBUG_SENDER (Cognition)
| DEBUG_SENDER (Motion)
## Private Attributes
| EXTERNAL_DEBUGGING
bool | messageWasReceived
| If true, a message was received from the WLan or OVirtualRobotComm.

## Detailed Description

A process for collection and distribution of debug messages.

All messages from the processes to the PC are collected here and all messages from the PC to the processes are distributed by the Debug process.

Author:
  Martin Lötzsch

Definition at line 28 of file Debug.h.

## Constructor & Destructor Documentation

Debug::Debug | ( |  | ) |

| Constructor. Definition at line 15 of file Debug.cpp. References Process::debugOut, SystemCall::getRobotDesign(), INIT_DEBUG_RECEIVER, INIT_DEBUG_SENDER, INIT_EXTERNAL_DEBUGGING, INIT_RECEIVER_SENSORDATA, and MessageQueue::setSize().

Here is the call graph for this function:

Debug::~Debug | ( |  | ) |

| Destructor. Definition at line 47 of file Debug.cpp.

## Member Function Documentation

Debug::RECEIVER | ( | SensorDataBuffer |  | ) | `[private]`

Debug::DEBUG_RECEIVER | ( | Cognition |  | ) | `[private]`

Debug::DEBUG_RECEIVER | ( | Motion |  | ) | `[private]`

Debug::DEBUG_SENDER | ( | Cognition |  | ) | `[private]`

Debug::DEBUG_SENDER | ( | Motion |  | ) | `[private]`

int Debug::main | ( |  | ) | `[virtual]`

| The main function of the process. Implements Process. Definition at line 51 of file Debug.cpp. References DEBUG_RESPONSE, endl(), getRobotConfiguration(), idText, INFO, and OUTPUT.

Here is the call graph for this function:

void Debug::init | ( |  | ) | `[virtual]`

| Is called before the first main(). Reimplemented from Process. Definition at line 157 of file Debug.cpp. References InStream< InFile, InBinary >::eof(), InFile::exists(), MessageQueue::handleAllMessages(), INIT_EXTERNAL_DEBUGGING_HANDLER, and messageWasReceived.

Here is the call graph for this function:

bool Debug::handleMessage | ( | InMessage & | message | ) | `[virtual]`

  | Is called for every incoming debug message. Parameters:
  message | the message to handle
Returns: if the message was handled Reimplemented from Process. Definition at line 172 of file Debug.cpp. References InMessage::bin, Process::debugOut, SystemCall::getCurrentSystemTime(), InMessage::getMessageID(), Process::handleMessage(), idBehaviorEvolutionParameters, idBehaviorEvolutionPopulation, idBodyOffsets, idCameraParameters, idColorTable64, idColorTableTSL, idComboBallLocator, idDDDSelfLocatorParameters, idDebugDataChangeRequest, idDebugKeyTable, idDebugRequest, idFourierCoefficients, idGameControlData, idGameSpeed, idGenericDebugData, idGlobalGameControlData, idGT2004BallLocatorData, idGT2004EvolutionRequest, idGT2004Parameters, idGT2005BallLocator1, idGT2005BallLocator2, idGT2005Request, idGT2005TeamBallLocator, idGTCamKalmanBallFilter, idGTCamWorldState, idHeadControlMode, idHeadMotionRequest, idImage, idImageProcessorParameters, idInvKinWalkingParameters, idJointDataSequence, idJoystickData, idJPEGImage, idKickSelectionTable, idLEDRequest, idLinesSelfLocatorParameters, idLowResImage, idMotionControlSlowMotion, idMotionNet, idMotionRatingBehaviorMessage, idMotionRequest, idMSHBallLocatorEvolution, idOdometryData, idOdometryScale, idOracledWorldState, idPercepts, idPIDData, idQueueFillRequest, idRemoteCamWorldState, idSensorData, idSolutionRequest, idSoundRequest, idSpecialPercept, idText, idWorldState, idXabsl2DebugRequest, idXabsl2IntermediateCode, idYetAnotherInvKinParams, idYetAnotherInvKinPaws, messageWasReceived, QueueFillRequest::mode, saveOrSendTime, and QueueFillRequest::seconds.

Here is the call graph for this function:

## Member Data Documentation

Debug::EXTERNAL_DEBUGGING`[private]`

| Definition at line 32 of file Debug.h.

QueueFillRequest::QueueFillMode Debug::mode

| The QueueFillMode for the outgoing Queue. Definition at line 63 of file Debug.h.

unsigned long Debug::saveOrSendTime

| The time when the outgoing queue is written to the stick or allowed to be accessed via wlan. Definition at line 68 of file Debug.h. Referenced by handleMessage().

bool Debug::messageWasReceived`[private]`

| If true, a message was received from the WLan or OVirtualRobotComm. Definition at line 72 of file Debug.h. Referenced by handleMessage(), and init().

The documentation for this class was generated from the following files:

- Processes/CMD/Debug.h
- Processes/CMD/Debug.cpp